<?php
/**
 * Base class for app models
 * 
 * @category   app
 * @package    app_models
 * @license    http://www.gnu.org/licenses/lgpl-3.0.html  LGPL
 */
 
include_once($_SERVER["DOCUMENT_ROOT"]."/webEdition/we/include/we_hook/class/weHook.class.php");
 
class weextplorer_models_Default extends we_app_Model
{
	/**
	 * ContentType attribute
	 *
	 * @var string
	 */
	public $ContentType = "weextplorer/item";
	
	/**
	 * _appName attribute
	 *
	 * @var string
	 */
	protected $_appName = 'weextplorer';

	/**
	 * Constructor
	 * 
	 * @param string $weextplorerID
	 * @return void
	 */
	function __construct($weextplorerID = 0)
	{
		parent::__construct('');
		if ($weextplorerID) {
			$this->{$this->_primaryKey} = $weextplorerID;
			$this->load($weextplorerID);
		}
					$this->setPersistentSlots(array('ID', 'Text'));
			
	}
	
	/**
	 * set Fields
	 * 
	 * @param array $fields
	 * @return void
	 */
	public function setFields($fields) {
		parent::setFields($fields);
			}
	
		/**
	 * Load entry
	 * 
	 * @param integer $id 
	 * @return boolean returns true on success, otherwise false
	 */
	function load($id)
	{
		return true;
	}
	
	/**
	 * Save entry
	 * 
	 * @return boolean returns true on success, otherwise false
	 */
	function save($skipHook=0)
	{
		// allowing hook functionality
        /* hook */
		if ($skipHook==0){
			$hook = new weHook('save', $this->_appName, array($this));
			$hook->executeHook();
        }
	
		return true;
	}
	
}

?>